Website
Dashboard
Website
Dashboard
  • πŸ‘‰ Welcome
  • 🧐 How to set up an account
  • πŸ“ˆ Monitoring and analytics
  • πŸ” Introducing coins vs tokens
  • πŸ‘¨β€πŸ’Ό The meaning of owning crypto
  • πŸ’° Wallets
  • πŸ“œ Supported Blockchains
  • GITHUB
    • 🐘 SDK PHP
    • πŸ“ SDK Python
    • πŸ‘¨β€πŸ’» SDK GOLANG
    • ✳️ SDK NODE JS
    • ✳️ PHP Wallet
  • API REFERENCE
    • Bitcoin
      • πŸ” Info
        • 🧐 Check BTC node health
        • πŸ“œ Get latest Bitcoin block
      • πŸ†Ž Block
        • πŸ“ˆ Get Bitcoin block by height
        • πŸ‘¨β€πŸ’» Get Bitcoin block by hash
        • πŸ“‘ Get transaction count in block by height
        • πŸ“‘ Get transaction count in block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get Bitcoin transaction by hash
        • πŸ“ Send pre-signed raw Bitcoin transaction
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ’° List BTC addresses managed by node wallet
        • πŸ†Ž Get BTC received amount for address
      • πŸ” JSON-RPC
        • πŸ” JSON-RPC
    • Ethereum
      • πŸ” Info
        • 🧐 Check ETH node health
        • πŸ“œ Get latest Ethereum block
      • πŸ†Ž Block
        • πŸ“ˆ Get Ethereum block by height
        • πŸ‘¨β€πŸ’» Get Ethereum block by hash
        • πŸ“‘ Get transaction count in block by height
        • πŸ“‘ Get transaction count in block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get Ethereum transaction by hash
        • πŸ‘¨β€πŸ’» Get Ethereum transaction receipt by hash
        • πŸ“ Send pre-signed raw Ethereum transaction
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ” List ETH accounts managed by node
        • πŸ†Ž Get ETH balance for address
        • πŸ†Ž Get transaction count (nonce) for address
        • πŸ‘‰ Estimate gas for transaction
        • πŸ“‘ Read-only contract call (eth_call)
        • πŸ‘¨β€πŸ’Ό Send transaction from node-managed account
      • πŸ” JSON-RPC
        • πŸ” JSON-RPC
    • Tron
      • πŸ” Info
        • πŸ“‘ Get TRX node info
        • 🧐 Check Tron node health
      • πŸ†Ž Block
        • πŸ“œ Get latest Tron block
        • πŸ“œ Get latest N blocks
        • 🟠 Get block by number
        • πŸ‘¨β€πŸ’» Get block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get transaction by hash
        • πŸ†Ž Get all transactions for an address
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ†Ž Validate a Tron address
        • πŸ” Get account information
        • πŸ’° Get account balance
        • πŸ†Ž Create a new Tron address
        • πŸ’΅ Generate a private key from a mnemonic
        • πŸ“Š Send TRX from one address to another
        • πŸ“Š Send USDT (TRC20) from one address to another
      • ✳️ Webhooks
        • πŸ‘¨β€πŸ“œ List webhooks
        • 🧐 Create webhook
        • πŸ‘‰ Get webhook
        • πŸ‘¨β€πŸ” Update webhook
        • ❌ Delete webhook
      • πŸ“Š Schemas
      • πŸ” JSON-RPC

πŸ‘¨β€πŸ’» Get Bitcoin transaction by hash

Code samples

GET /api/v1/btc/transactions/{hash}

Returns transaction details using the getrawtransaction method with verbose output.

πŸ› οΈ Parameters

NameInTypeRequiredDescription
hashpathstringtrueBitcoin transaction hash (txid).

Example responses

200 Response

{
  "txid": "string",
  "hash": "string",
  "version": 0,
  "size": 0,
  "vsize": 0,
  "weight": 0,
  "locktime": 0,
  "blockhash": "string",
  "confirmations": 0,
  "time": 0,
  "blocktime": 0,
  "hex": "string",
  "vin": [
    {
      "txid": "string",
      "vout": 0,
      "coinbase": "string",
      "scriptSig": {
        "asm": "string",
        "hex": "string"
      },
      "sequence": 0
    }
  ],
  "vout": [
    {
      "value": 0.1,
      "n": 0,
      "scriptPubKey": {
        "asm": "string",
        "hex": "string",
        "type": "string",
        "reqSigs": 0,
        "addresses": [
          "string"
        ]
      }
    }
  ]
}

404 Response

{
  "error": "Transaction not found"
}

πŸ” Responses

StatusMeaningDescriptionSchema
200OKBitcoin transactionInline
404Not FoundTransaction not foundInline
500Internal Server ErrorCould not connect to BTC nodeNone

πŸ”„ Response Schema

Status Code 200

NameTypeRequiredRestrictionsDescription
Β» txidstringfalsenoneTransaction ID.
Β» hashstringfalsenonenone
Β» versionintegerfalsenonenone
Β» sizeintegerfalsenonenone
Β» vsizeintegerfalsenonenone
Β» weightintegerfalsenonenone
Β» locktimeintegerfalsenonenone
» blockhashstring¦nullfalsenonenone
Β» confirmationsinteger(int64)Β¦nullfalsenonenone
Β» timeinteger(int64)Β¦nullfalsenonenone
Β» blocktimeinteger(int64)Β¦nullfalsenonenone
Β» hexstringfalsenoneRaw hex-encoded transaction.
Β» vin[object]falsenonenone
»» txidstring¦nullfalsenonenone
»» voutinteger¦nullfalsenonenone
»» coinbasestring¦nullfalsenonenone
»» scriptSigobject¦nullfalsenonenone
»»» asmstringfalsenonenone
»»» hexstringfalsenonenone
»» sequenceinteger(int64)falsenonenone
Β» vout[object]falsenonenone
»» valuenumber(double)falsenoneValue in BTC.
»» nintegerfalsenoneOutput index.
»» scriptPubKeyobjectfalsenonenone
»»» asmstringfalsenonenone
»»» hexstringfalsenonenone
»»» typestringfalsenonenone
»»» reqSigsinteger¦nullfalsenonenone
»»» addresses[string]¦nullfalsenonenone

Status Code 404

NameTypeRequiredRestrictionsDescription
Β» errorstringfalsenonenone
To perform this operation, you must be authenticated by means of one of the following methods: ApiKeyAuth
Last Updated:: 3/27/26, 2:59 PM
Contributors: support
Prev
πŸ†Ž Block
Next
πŸ‘¨β€πŸ’Ό Account